Loading...
Searching...
No Matches
osmium::io_error Struct Reference

`#include <error.hpp>`

Inheritance diagram for osmium::io_error:
[legend]
Collaboration diagram for osmium::io_error:
[legend]

## Public Member Functions

| io_error (const std::string &what)
| io_error (const char *what)

## Detailed Description

Exception thrown when some kind of input/output operation failed.

## Constructor & Destructor Documentation

## io_error() [1/2]

osmium::io_error::io_error | ( | const std::string & | what | ) |

inlineexplicit

## io_error() [2/2]

osmium::io_error::io_error | ( | const char * | what | ) |

inlineexplicit

The documentation for this struct was generated from the following file:

- include/osmium/io/error.hpp